Continue bulk email validation job
curl --request POST \
--url https://api.mailglyph.com/v1/verify/files/{jobId}/continue \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.mailglyph.com/v1/verify/files/{jobId}/continue"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.mailglyph.com/v1/verify/files/{jobId}/continue', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.mailglyph.com/v1/verify/files/{jobId}/continue",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.mailglyph.com/v1/verify/files/{jobId}/continue"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.mailglyph.com/v1/verify/files/{jobId}/continue")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.mailglyph.com/v1/verify/files/{jobId}/continue")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"id": "8a607588-1d7c-4d4f-9807-2a625fb20b14",
"status": "QUEUED",
"originalFilename": "emails_list_input.csv",
"fileSizeBytes": 234,
"localEmailCount": 6,
"reservedCredits": 6,
"confirmedEmailCount": null,
"creditUsed": null,
"valid": 0,
"invalid": 0,
"unknown": 0,
"catchall": 0,
"duplicates": 0,
"spamTrap": 0,
"toxicDomains": 0,
"readyForDownload": false,
"errorCode": null,
"errorMessage": null,
"lastValidationStatus": null,
"createdAt": "2026-06-18T10:12:30.000Z",
"updatedAt": "2026-06-18T10:13:10.000Z",
"completedAt": null
}
}{
"code": 123,
"error": "<string>",
"message": "<string>",
"time": 123
}{
"code": 123,
"error": "<string>",
"message": "<string>",
"time": 123
}{
"code": 123,
"error": "<string>",
"message": "<string>",
"time": 123
}Email Validation
Continue bulk email validation
Continue a queued or action-required bulk Email Validation job after credits are available.
POST
/
v1
/
verify
/
files
/
{jobId}
/
continue
Continue bulk email validation job
curl --request POST \
--url https://api.mailglyph.com/v1/verify/files/{jobId}/continue \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.mailglyph.com/v1/verify/files/{jobId}/continue"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.mailglyph.com/v1/verify/files/{jobId}/continue', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.mailglyph.com/v1/verify/files/{jobId}/continue",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.mailglyph.com/v1/verify/files/{jobId}/continue"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.mailglyph.com/v1/verify/files/{jobId}/continue")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.mailglyph.com/v1/verify/files/{jobId}/continue")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"id": "8a607588-1d7c-4d4f-9807-2a625fb20b14",
"status": "QUEUED",
"originalFilename": "emails_list_input.csv",
"fileSizeBytes": 234,
"localEmailCount": 6,
"reservedCredits": 6,
"confirmedEmailCount": null,
"creditUsed": null,
"valid": 0,
"invalid": 0,
"unknown": 0,
"catchall": 0,
"duplicates": 0,
"spamTrap": 0,
"toxicDomains": 0,
"readyForDownload": false,
"errorCode": null,
"errorMessage": null,
"lastValidationStatus": null,
"createdAt": "2026-06-18T10:12:30.000Z",
"updatedAt": "2026-06-18T10:13:10.000Z",
"completedAt": null
}
}{
"code": 123,
"error": "<string>",
"message": "<string>",
"time": 123
}{
"code": 123,
"error": "<string>",
"message": "<string>",
"time": 123
}{
"code": 123,
"error": "<string>",
"message": "<string>",
"time": 123
}Authorizations
API Key authentication. Secret keys (sk_*) are required for all endpoints except /v1/track. Public keys (pk_*) only work with the /v1/track endpoint for client-side event tracking. Workspaces can have multiple active keys, and sender-domain operations enforce per-key domain scope when configured.

